operations

package
v0.0.0-...-cb9294f Latest Latest
Warning

This package is not in the latest version of its module.

Go to latest
Published: Apr 25, 2018 License: GPL-3.0 Imports: 16 Imported by: 2

Documentation

Index

Constants

View Source
const AddComplicationBadRequestCode int = 400

AddComplicationBadRequestCode is the HTTP code returned for type AddComplicationBadRequest

View Source
const AddComplicationConflictCode int = 409

AddComplicationConflictCode is the HTTP code returned for type AddComplicationConflict

View Source
const AddComplicationCreatedCode int = 201

AddComplicationCreatedCode is the HTTP code returned for type AddComplicationCreated

View Source
const AddConsentBadRequestCode int = 400

AddConsentBadRequestCode is the HTTP code returned for type AddConsentBadRequest

View Source
const AddConsentConflictCode int = 409

AddConsentConflictCode is the HTTP code returned for type AddConsentConflict

View Source
const AddConsentCreatedCode int = 201

AddConsentCreatedCode is the HTTP code returned for type AddConsentCreated

View Source
const AddDiagnosisBadRequestCode int = 400

AddDiagnosisBadRequestCode is the HTTP code returned for type AddDiagnosisBadRequest

View Source
const AddDiagnosisConflictCode int = 409

AddDiagnosisConflictCode is the HTTP code returned for type AddDiagnosisConflict

View Source
const AddDiagnosisCreatedCode int = 201

AddDiagnosisCreatedCode is the HTTP code returned for type AddDiagnosisCreated

View Source
const AddEnrollmentBadRequestCode int = 400

AddEnrollmentBadRequestCode is the HTTP code returned for type AddEnrollmentBadRequest

View Source
const AddEnrollmentConflictCode int = 409

AddEnrollmentConflictCode is the HTTP code returned for type AddEnrollmentConflict

View Source
const AddEnrollmentCreatedCode int = 201

AddEnrollmentCreatedCode is the HTTP code returned for type AddEnrollmentCreated

View Source
const AddOutcomeBadRequestCode int = 400

AddOutcomeBadRequestCode is the HTTP code returned for type AddOutcomeBadRequest

View Source
const AddOutcomeConflictCode int = 409

AddOutcomeConflictCode is the HTTP code returned for type AddOutcomeConflict

View Source
const AddOutcomeCreatedCode int = 201

AddOutcomeCreatedCode is the HTTP code returned for type AddOutcomeCreated

View Source
const AddPatientBadRequestCode int = 400

AddPatientBadRequestCode is the HTTP code returned for type AddPatientBadRequest

View Source
const AddPatientConflictCode int = 409

AddPatientConflictCode is the HTTP code returned for type AddPatientConflict

View Source
const AddPatientCreatedCode int = 201

AddPatientCreatedCode is the HTTP code returned for type AddPatientCreated

View Source
const AddSampleBadRequestCode int = 400

AddSampleBadRequestCode is the HTTP code returned for type AddSampleBadRequest

View Source
const AddSampleConflictCode int = 409

AddSampleConflictCode is the HTTP code returned for type AddSampleConflict

View Source
const AddSampleCreatedCode int = 201

AddSampleCreatedCode is the HTTP code returned for type AddSampleCreated

View Source
const AddTreatmentBadRequestCode int = 400

AddTreatmentBadRequestCode is the HTTP code returned for type AddTreatmentBadRequest

View Source
const AddTreatmentConflictCode int = 409

AddTreatmentConflictCode is the HTTP code returned for type AddTreatmentConflict

View Source
const AddTreatmentCreatedCode int = 201

AddTreatmentCreatedCode is the HTTP code returned for type AddTreatmentCreated

View Source
const AddTumourboardBadRequestCode int = 400

AddTumourboardBadRequestCode is the HTTP code returned for type AddTumourboardBadRequest

View Source
const AddTumourboardConflictCode int = 409

AddTumourboardConflictCode is the HTTP code returned for type AddTumourboardConflict

View Source
const AddTumourboardCreatedCode int = 201

AddTumourboardCreatedCode is the HTTP code returned for type AddTumourboardCreated

View Source
const GetSamplesByQueryNotFoundCode int = 404

GetSamplesByQueryNotFoundCode is the HTTP code returned for type GetSamplesByQueryNotFound

View Source
const GetSamplesByQueryOKCode int = 200

GetSamplesByQueryOKCode is the HTTP code returned for type GetSamplesByQueryOK

View Source
const LogoutNotFoundCode int = 404

LogoutNotFoundCode is the HTTP code returned for type LogoutNotFound

View Source
const LogoutOKCode int = 200

LogoutOKCode is the HTTP code returned for type LogoutOK

View Source
const PostUploadConflictCode int = 409

PostUploadConflictCode is the HTTP code returned for type PostUploadConflict

View Source
const PostUploadNotFoundCode int = 404

PostUploadNotFoundCode is the HTTP code returned for type PostUploadNotFound

View Source
const PostUploadOKCode int = 200

PostUploadOKCode is the HTTP code returned for type PostUploadOK

Variables

This section is empty.

Functions

This section is empty.

Types

type AddComplication

type AddComplication struct {
	Context *middleware.Context
	Handler AddComplicationHandler
}

AddComplication swagger:route POST /complication addComplication

adds a complication

Adds a complication to the system

func NewAddComplication

func NewAddComplication(ctx *middleware.Context, handler AddComplicationHandler) *AddComplication

NewAddComplication creates a new http.Handler for the add complication operation

func (*AddComplication) ServeHTTP

func (o *AddComplication) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type AddComplicationBadRequest

type AddComplicationBadRequest struct {
}

AddComplicationBadRequest invalid input, object invalid

swagger:response addComplicationBadRequest

func NewAddComplicationBadRequest

func NewAddComplicationBadRequest() *AddComplicationBadRequest

NewAddComplicationBadRequest creates AddComplicationBadRequest with default headers values

func (*AddComplicationBadRequest) WriteResponse

func (o *AddComplicationBadRequest) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type AddComplicationConflict

type AddComplicationConflict struct {
}

AddComplicationConflict an existing item already exists

swagger:response addComplicationConflict

func NewAddComplicationConflict

func NewAddComplicationConflict() *AddComplicationConflict

NewAddComplicationConflict creates AddComplicationConflict with default headers values

func (*AddComplicationConflict) WriteResponse

func (o *AddComplicationConflict) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type AddComplicationCreated

type AddComplicationCreated struct {
}

AddComplicationCreated item created

swagger:response addComplicationCreated

func NewAddComplicationCreated

func NewAddComplicationCreated() *AddComplicationCreated

NewAddComplicationCreated creates AddComplicationCreated with default headers values

func (*AddComplicationCreated) WriteResponse

func (o *AddComplicationCreated) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type AddComplicationHandler

type AddComplicationHandler interface {
	Handle(AddComplicationParams) middleware.Responder
}

AddComplicationHandler interface for that can handle valid add complication params

type AddComplicationHandlerFunc

type AddComplicationHandlerFunc func(AddComplicationParams) middleware.Responder

AddComplicationHandlerFunc turns a function with the right signature into a add complication handler

func (AddComplicationHandlerFunc) Handle

Handle executing the request and returning a response

type AddComplicationParams

type AddComplicationParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*Complication
	  In: body
	*/
	Complication *models.Complication
}

AddComplicationParams contains all the bound params for the add complication operation typically these are obtained from a http.Request

swagger:parameters addComplication

func NewAddComplicationParams

func NewAddComplicationParams() AddComplicationParams

NewAddComplicationParams creates a new AddComplicationParams object with the default values initialized.

func (*AddComplicationParams) BindRequest

func (o *AddComplicationParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

type AddComplicationURL

type AddComplicationURL struct {
	// contains filtered or unexported fields
}

AddComplicationURL generates an URL for the add complication operation

func (*AddComplicationURL) Build

func (o *AddComplicationURL) Build() (*url.URL, error)

Build a url path and query string

func (*AddComplicationURL) BuildFull

func (o *AddComplicationURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*AddComplicationURL) Must

func (o *AddComplicationURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*AddComplicationURL) SetBasePath

func (o *AddComplicationURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*AddComplicationURL) String

func (o *AddComplicationURL) String() string

String returns the string representation of the path with query string

func (*AddComplicationURL) StringFull

func (o *AddComplicationURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*AddComplicationURL) WithBasePath

func (o *AddComplicationURL) WithBasePath(bp string) *AddComplicationURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type AddConsent

type AddConsent struct {
	Context *middleware.Context
	Handler AddConsentHandler
}

AddConsent swagger:route POST /consent addConsent

adds a consent

Adds a consent to the system

func NewAddConsent

func NewAddConsent(ctx *middleware.Context, handler AddConsentHandler) *AddConsent

NewAddConsent creates a new http.Handler for the add consent operation

func (*AddConsent) ServeHTTP

func (o *AddConsent) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type AddConsentBadRequest

type AddConsentBadRequest struct {
}

AddConsentBadRequest invalid input, object invalid

swagger:response addConsentBadRequest

func NewAddConsentBadRequest

func NewAddConsentBadRequest() *AddConsentBadRequest

NewAddConsentBadRequest creates AddConsentBadRequest with default headers values

func (*AddConsentBadRequest) WriteResponse

func (o *AddConsentBadRequest) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type AddConsentConflict

type AddConsentConflict struct {
}

AddConsentConflict an existing item already exists

swagger:response addConsentConflict

func NewAddConsentConflict

func NewAddConsentConflict() *AddConsentConflict

NewAddConsentConflict creates AddConsentConflict with default headers values

func (*AddConsentConflict) WriteResponse

func (o *AddConsentConflict) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type AddConsentCreated

type AddConsentCreated struct {
}

AddConsentCreated item created

swagger:response addConsentCreated

func NewAddConsentCreated

func NewAddConsentCreated() *AddConsentCreated

NewAddConsentCreated creates AddConsentCreated with default headers values

func (*AddConsentCreated) WriteResponse

func (o *AddConsentCreated) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type AddConsentHandler

type AddConsentHandler interface {
	Handle(AddConsentParams) middleware.Responder
}

AddConsentHandler interface for that can handle valid add consent params

type AddConsentHandlerFunc

type AddConsentHandlerFunc func(AddConsentParams) middleware.Responder

AddConsentHandlerFunc turns a function with the right signature into a add consent handler

func (AddConsentHandlerFunc) Handle

Handle executing the request and returning a response

type AddConsentParams

type AddConsentParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*Consent
	  In: body
	*/
	Consent *models.Consent
}

AddConsentParams contains all the bound params for the add consent operation typically these are obtained from a http.Request

swagger:parameters addConsent

func NewAddConsentParams

func NewAddConsentParams() AddConsentParams

NewAddConsentParams creates a new AddConsentParams object with the default values initialized.

func (*AddConsentParams) BindRequest

func (o *AddConsentParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

type AddConsentURL

type AddConsentURL struct {
	// contains filtered or unexported fields
}

AddConsentURL generates an URL for the add consent operation

func (*AddConsentURL) Build

func (o *AddConsentURL) Build() (*url.URL, error)

Build a url path and query string

func (*AddConsentURL) BuildFull

func (o *AddConsentURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*AddConsentURL) Must

func (o *AddConsentURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*AddConsentURL) SetBasePath

func (o *AddConsentURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*AddConsentURL) String

func (o *AddConsentURL) String() string

String returns the string representation of the path with query string

func (*AddConsentURL) StringFull

func (o *AddConsentURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*AddConsentURL) WithBasePath

func (o *AddConsentURL) WithBasePath(bp string) *AddConsentURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type AddDiagnosis

type AddDiagnosis struct {
	Context *middleware.Context
	Handler AddDiagnosisHandler
}

AddDiagnosis swagger:route POST /diagnosis addDiagnosis

adds a diagnosis

Adds a diagnosis to the system

func NewAddDiagnosis

func NewAddDiagnosis(ctx *middleware.Context, handler AddDiagnosisHandler) *AddDiagnosis

NewAddDiagnosis creates a new http.Handler for the add diagnosis operation

func (*AddDiagnosis) ServeHTTP

func (o *AddDiagnosis) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type AddDiagnosisBadRequest

type AddDiagnosisBadRequest struct {
}

AddDiagnosisBadRequest invalid input, object invalid

swagger:response addDiagnosisBadRequest

func NewAddDiagnosisBadRequest

func NewAddDiagnosisBadRequest() *AddDiagnosisBadRequest

NewAddDiagnosisBadRequest creates AddDiagnosisBadRequest with default headers values

func (*AddDiagnosisBadRequest) WriteResponse

func (o *AddDiagnosisBadRequest) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type AddDiagnosisConflict

type AddDiagnosisConflict struct {
}

AddDiagnosisConflict an existing item already exists

swagger:response addDiagnosisConflict

func NewAddDiagnosisConflict

func NewAddDiagnosisConflict() *AddDiagnosisConflict

NewAddDiagnosisConflict creates AddDiagnosisConflict with default headers values

func (*AddDiagnosisConflict) WriteResponse

func (o *AddDiagnosisConflict) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type AddDiagnosisCreated

type AddDiagnosisCreated struct {
}

AddDiagnosisCreated item created

swagger:response addDiagnosisCreated

func NewAddDiagnosisCreated

func NewAddDiagnosisCreated() *AddDiagnosisCreated

NewAddDiagnosisCreated creates AddDiagnosisCreated with default headers values

func (*AddDiagnosisCreated) WriteResponse

func (o *AddDiagnosisCreated) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type AddDiagnosisHandler

type AddDiagnosisHandler interface {
	Handle(AddDiagnosisParams) middleware.Responder
}

AddDiagnosisHandler interface for that can handle valid add diagnosis params

type AddDiagnosisHandlerFunc

type AddDiagnosisHandlerFunc func(AddDiagnosisParams) middleware.Responder

AddDiagnosisHandlerFunc turns a function with the right signature into a add diagnosis handler

func (AddDiagnosisHandlerFunc) Handle

Handle executing the request and returning a response

type AddDiagnosisParams

type AddDiagnosisParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*Diagnosis
	  In: body
	*/
	Diagnosis *models.Diagnosis
}

AddDiagnosisParams contains all the bound params for the add diagnosis operation typically these are obtained from a http.Request

swagger:parameters addDiagnosis

func NewAddDiagnosisParams

func NewAddDiagnosisParams() AddDiagnosisParams

NewAddDiagnosisParams creates a new AddDiagnosisParams object with the default values initialized.

func (*AddDiagnosisParams) BindRequest

func (o *AddDiagnosisParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

type AddDiagnosisURL

type AddDiagnosisURL struct {
	// contains filtered or unexported fields
}

AddDiagnosisURL generates an URL for the add diagnosis operation

func (*AddDiagnosisURL) Build

func (o *AddDiagnosisURL) Build() (*url.URL, error)

Build a url path and query string

func (*AddDiagnosisURL) BuildFull

func (o *AddDiagnosisURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*AddDiagnosisURL) Must

func (o *AddDiagnosisURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*AddDiagnosisURL) SetBasePath

func (o *AddDiagnosisURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*AddDiagnosisURL) String

func (o *AddDiagnosisURL) String() string

String returns the string representation of the path with query string

func (*AddDiagnosisURL) StringFull

func (o *AddDiagnosisURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*AddDiagnosisURL) WithBasePath

func (o *AddDiagnosisURL) WithBasePath(bp string) *AddDiagnosisURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type AddEnrollment

type AddEnrollment struct {
	Context *middleware.Context
	Handler AddEnrollmentHandler
}

AddEnrollment swagger:route POST /enrollment addEnrollment

adds an enrollment

Adds an enrollment to the system

func NewAddEnrollment

func NewAddEnrollment(ctx *middleware.Context, handler AddEnrollmentHandler) *AddEnrollment

NewAddEnrollment creates a new http.Handler for the add enrollment operation

func (*AddEnrollment) ServeHTTP

func (o *AddEnrollment) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type AddEnrollmentBadRequest

type AddEnrollmentBadRequest struct {
}

AddEnrollmentBadRequest invalid input, object invalid

swagger:response addEnrollmentBadRequest

func NewAddEnrollmentBadRequest

func NewAddEnrollmentBadRequest() *AddEnrollmentBadRequest

NewAddEnrollmentBadRequest creates AddEnrollmentBadRequest with default headers values

func (*AddEnrollmentBadRequest) WriteResponse

func (o *AddEnrollmentBadRequest) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type AddEnrollmentConflict

type AddEnrollmentConflict struct {
}

AddEnrollmentConflict an existing item already exists

swagger:response addEnrollmentConflict

func NewAddEnrollmentConflict

func NewAddEnrollmentConflict() *AddEnrollmentConflict

NewAddEnrollmentConflict creates AddEnrollmentConflict with default headers values

func (*AddEnrollmentConflict) WriteResponse

func (o *AddEnrollmentConflict) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type AddEnrollmentCreated

type AddEnrollmentCreated struct {
}

AddEnrollmentCreated item created

swagger:response addEnrollmentCreated

func NewAddEnrollmentCreated

func NewAddEnrollmentCreated() *AddEnrollmentCreated

NewAddEnrollmentCreated creates AddEnrollmentCreated with default headers values

func (*AddEnrollmentCreated) WriteResponse

func (o *AddEnrollmentCreated) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type AddEnrollmentHandler

type AddEnrollmentHandler interface {
	Handle(AddEnrollmentParams) middleware.Responder
}

AddEnrollmentHandler interface for that can handle valid add enrollment params

type AddEnrollmentHandlerFunc

type AddEnrollmentHandlerFunc func(AddEnrollmentParams) middleware.Responder

AddEnrollmentHandlerFunc turns a function with the right signature into a add enrollment handler

func (AddEnrollmentHandlerFunc) Handle

Handle executing the request and returning a response

type AddEnrollmentParams

type AddEnrollmentParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*Enrollment
	  In: body
	*/
	Enrollment *models.Enrollment
}

AddEnrollmentParams contains all the bound params for the add enrollment operation typically these are obtained from a http.Request

swagger:parameters addEnrollment

func NewAddEnrollmentParams

func NewAddEnrollmentParams() AddEnrollmentParams

NewAddEnrollmentParams creates a new AddEnrollmentParams object with the default values initialized.

func (*AddEnrollmentParams) BindRequest

func (o *AddEnrollmentParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

type AddEnrollmentURL

type AddEnrollmentURL struct {
	// contains filtered or unexported fields
}

AddEnrollmentURL generates an URL for the add enrollment operation

func (*AddEnrollmentURL) Build

func (o *AddEnrollmentURL) Build() (*url.URL, error)

Build a url path and query string

func (*AddEnrollmentURL) BuildFull

func (o *AddEnrollmentURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*AddEnrollmentURL) Must

func (o *AddEnrollmentURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*AddEnrollmentURL) SetBasePath

func (o *AddEnrollmentURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*AddEnrollmentURL) String

func (o *AddEnrollmentURL) String() string

String returns the string representation of the path with query string

func (*AddEnrollmentURL) StringFull

func (o *AddEnrollmentURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*AddEnrollmentURL) WithBasePath

func (o *AddEnrollmentURL) WithBasePath(bp string) *AddEnrollmentURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type AddOutcome

type AddOutcome struct {
	Context *middleware.Context
	Handler AddOutcomeHandler
}

AddOutcome swagger:route POST /outcome addOutcome

adds an outcome

Adds an outcome to the system

func NewAddOutcome

func NewAddOutcome(ctx *middleware.Context, handler AddOutcomeHandler) *AddOutcome

NewAddOutcome creates a new http.Handler for the add outcome operation

func (*AddOutcome) ServeHTTP

func (o *AddOutcome) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type AddOutcomeBadRequest

type AddOutcomeBadRequest struct {
}

AddOutcomeBadRequest invalid input, object invalid

swagger:response addOutcomeBadRequest

func NewAddOutcomeBadRequest

func NewAddOutcomeBadRequest() *AddOutcomeBadRequest

NewAddOutcomeBadRequest creates AddOutcomeBadRequest with default headers values

func (*AddOutcomeBadRequest) WriteResponse

func (o *AddOutcomeBadRequest) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type AddOutcomeConflict

type AddOutcomeConflict struct {
}

AddOutcomeConflict an existing item already exists

swagger:response addOutcomeConflict

func NewAddOutcomeConflict

func NewAddOutcomeConflict() *AddOutcomeConflict

NewAddOutcomeConflict creates AddOutcomeConflict with default headers values

func (*AddOutcomeConflict) WriteResponse

func (o *AddOutcomeConflict) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type AddOutcomeCreated

type AddOutcomeCreated struct {
}

AddOutcomeCreated item created

swagger:response addOutcomeCreated

func NewAddOutcomeCreated

func NewAddOutcomeCreated() *AddOutcomeCreated

NewAddOutcomeCreated creates AddOutcomeCreated with default headers values

func (*AddOutcomeCreated) WriteResponse

func (o *AddOutcomeCreated) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type AddOutcomeHandler

type AddOutcomeHandler interface {
	Handle(AddOutcomeParams) middleware.Responder
}

AddOutcomeHandler interface for that can handle valid add outcome params

type AddOutcomeHandlerFunc

type AddOutcomeHandlerFunc func(AddOutcomeParams) middleware.Responder

AddOutcomeHandlerFunc turns a function with the right signature into a add outcome handler

func (AddOutcomeHandlerFunc) Handle

Handle executing the request and returning a response

type AddOutcomeParams

type AddOutcomeParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*Outcome
	  In: body
	*/
	Outcome *models.Outcome
}

AddOutcomeParams contains all the bound params for the add outcome operation typically these are obtained from a http.Request

swagger:parameters addOutcome

func NewAddOutcomeParams

func NewAddOutcomeParams() AddOutcomeParams

NewAddOutcomeParams creates a new AddOutcomeParams object with the default values initialized.

func (*AddOutcomeParams) BindRequest

func (o *AddOutcomeParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

type AddOutcomeURL

type AddOutcomeURL struct {
	// contains filtered or unexported fields
}

AddOutcomeURL generates an URL for the add outcome operation

func (*AddOutcomeURL) Build

func (o *AddOutcomeURL) Build() (*url.URL, error)

Build a url path and query string

func (*AddOutcomeURL) BuildFull

func (o *AddOutcomeURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*AddOutcomeURL) Must

func (o *AddOutcomeURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*AddOutcomeURL) SetBasePath

func (o *AddOutcomeURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*AddOutcomeURL) String

func (o *AddOutcomeURL) String() string

String returns the string representation of the path with query string

func (*AddOutcomeURL) StringFull

func (o *AddOutcomeURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*AddOutcomeURL) WithBasePath

func (o *AddOutcomeURL) WithBasePath(bp string) *AddOutcomeURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type AddPatient

type AddPatient struct {
	Context *middleware.Context
	Handler AddPatientHandler
}

AddPatient swagger:route POST /patient addPatient

adds a patient item

Adds a patient to the system

func NewAddPatient

func NewAddPatient(ctx *middleware.Context, handler AddPatientHandler) *AddPatient

NewAddPatient creates a new http.Handler for the add patient operation

func (*AddPatient) ServeHTTP

func (o *AddPatient) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type AddPatientBadRequest

type AddPatientBadRequest struct {
}

AddPatientBadRequest invalid input, object invalid

swagger:response addPatientBadRequest

func NewAddPatientBadRequest

func NewAddPatientBadRequest() *AddPatientBadRequest

NewAddPatientBadRequest creates AddPatientBadRequest with default headers values

func (*AddPatientBadRequest) WriteResponse

func (o *AddPatientBadRequest) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type AddPatientConflict

type AddPatientConflict struct {
}

AddPatientConflict an existing item already exists

swagger:response addPatientConflict

func NewAddPatientConflict

func NewAddPatientConflict() *AddPatientConflict

NewAddPatientConflict creates AddPatientConflict with default headers values

func (*AddPatientConflict) WriteResponse

func (o *AddPatientConflict) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type AddPatientCreated

type AddPatientCreated struct {
}

AddPatientCreated item created

swagger:response addPatientCreated

func NewAddPatientCreated

func NewAddPatientCreated() *AddPatientCreated

NewAddPatientCreated creates AddPatientCreated with default headers values

func (*AddPatientCreated) WriteResponse

func (o *AddPatientCreated) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type AddPatientHandler

type AddPatientHandler interface {
	Handle(AddPatientParams) middleware.Responder
}

AddPatientHandler interface for that can handle valid add patient params

type AddPatientHandlerFunc

type AddPatientHandlerFunc func(AddPatientParams) middleware.Responder

AddPatientHandlerFunc turns a function with the right signature into a add patient handler

func (AddPatientHandlerFunc) Handle

Handle executing the request and returning a response

type AddPatientParams

type AddPatientParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*Patient
	  In: body
	*/
	Patient *models.Patient
}

AddPatientParams contains all the bound params for the add patient operation typically these are obtained from a http.Request

swagger:parameters addPatient

func NewAddPatientParams

func NewAddPatientParams() AddPatientParams

NewAddPatientParams creates a new AddPatientParams object with the default values initialized.

func (*AddPatientParams) BindRequest

func (o *AddPatientParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

type AddPatientURL

type AddPatientURL struct {
	// contains filtered or unexported fields
}

AddPatientURL generates an URL for the add patient operation

func (*AddPatientURL) Build

func (o *AddPatientURL) Build() (*url.URL, error)

Build a url path and query string

func (*AddPatientURL) BuildFull

func (o *AddPatientURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*AddPatientURL) Must

func (o *AddPatientURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*AddPatientURL) SetBasePath

func (o *AddPatientURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*AddPatientURL) String

func (o *AddPatientURL) String() string

String returns the string representation of the path with query string

func (*AddPatientURL) StringFull

func (o *AddPatientURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*AddPatientURL) WithBasePath

func (o *AddPatientURL) WithBasePath(bp string) *AddPatientURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type AddSample

type AddSample struct {
	Context *middleware.Context
	Handler AddSampleHandler
}

AddSample swagger:route POST /sample addSample

adds a sample

Adds a sample to the system

func NewAddSample

func NewAddSample(ctx *middleware.Context, handler AddSampleHandler) *AddSample

NewAddSample creates a new http.Handler for the add sample operation

func (*AddSample) ServeHTTP

func (o *AddSample) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type AddSampleBadRequest

type AddSampleBadRequest struct {
}

AddSampleBadRequest invalid input, object invalid

swagger:response addSampleBadRequest

func NewAddSampleBadRequest

func NewAddSampleBadRequest() *AddSampleBadRequest

NewAddSampleBadRequest creates AddSampleBadRequest with default headers values

func (*AddSampleBadRequest) WriteResponse

func (o *AddSampleBadRequest) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type AddSampleConflict

type AddSampleConflict struct {
}

AddSampleConflict an existing item already exists

swagger:response addSampleConflict

func NewAddSampleConflict

func NewAddSampleConflict() *AddSampleConflict

NewAddSampleConflict creates AddSampleConflict with default headers values

func (*AddSampleConflict) WriteResponse

func (o *AddSampleConflict) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type AddSampleCreated

type AddSampleCreated struct {
}

AddSampleCreated item created

swagger:response addSampleCreated

func NewAddSampleCreated

func NewAddSampleCreated() *AddSampleCreated

NewAddSampleCreated creates AddSampleCreated with default headers values

func (*AddSampleCreated) WriteResponse

func (o *AddSampleCreated) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type AddSampleHandler

type AddSampleHandler interface {
	Handle(AddSampleParams) middleware.Responder
}

AddSampleHandler interface for that can handle valid add sample params

type AddSampleHandlerFunc

type AddSampleHandlerFunc func(AddSampleParams) middleware.Responder

AddSampleHandlerFunc turns a function with the right signature into a add sample handler

func (AddSampleHandlerFunc) Handle

Handle executing the request and returning a response

type AddSampleParams

type AddSampleParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*Sample
	  In: body
	*/
	Sample *models.Sample
}

AddSampleParams contains all the bound params for the add sample operation typically these are obtained from a http.Request

swagger:parameters addSample

func NewAddSampleParams

func NewAddSampleParams() AddSampleParams

NewAddSampleParams creates a new AddSampleParams object with the default values initialized.

func (*AddSampleParams) BindRequest

func (o *AddSampleParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

type AddSampleURL

type AddSampleURL struct {
	// contains filtered or unexported fields
}

AddSampleURL generates an URL for the add sample operation

func (*AddSampleURL) Build

func (o *AddSampleURL) Build() (*url.URL, error)

Build a url path and query string

func (*AddSampleURL) BuildFull

func (o *AddSampleURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*AddSampleURL) Must

func (o *AddSampleURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*AddSampleURL) SetBasePath

func (o *AddSampleURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*AddSampleURL) String

func (o *AddSampleURL) String() string

String returns the string representation of the path with query string

func (*AddSampleURL) StringFull

func (o *AddSampleURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*AddSampleURL) WithBasePath

func (o *AddSampleURL) WithBasePath(bp string) *AddSampleURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type AddTreatment

type AddTreatment struct {
	Context *middleware.Context
	Handler AddTreatmentHandler
}

AddTreatment swagger:route POST /treatment addTreatment

adds a treatment

Adds a treatment to the system

func NewAddTreatment

func NewAddTreatment(ctx *middleware.Context, handler AddTreatmentHandler) *AddTreatment

NewAddTreatment creates a new http.Handler for the add treatment operation

func (*AddTreatment) ServeHTTP

func (o *AddTreatment) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type AddTreatmentBadRequest

type AddTreatmentBadRequest struct {
}

AddTreatmentBadRequest invalid input, object invalid

swagger:response addTreatmentBadRequest

func NewAddTreatmentBadRequest

func NewAddTreatmentBadRequest() *AddTreatmentBadRequest

NewAddTreatmentBadRequest creates AddTreatmentBadRequest with default headers values

func (*AddTreatmentBadRequest) WriteResponse

func (o *AddTreatmentBadRequest) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type AddTreatmentConflict

type AddTreatmentConflict struct {
}

AddTreatmentConflict an existing item already exists

swagger:response addTreatmentConflict

func NewAddTreatmentConflict

func NewAddTreatmentConflict() *AddTreatmentConflict

NewAddTreatmentConflict creates AddTreatmentConflict with default headers values

func (*AddTreatmentConflict) WriteResponse

func (o *AddTreatmentConflict) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type AddTreatmentCreated

type AddTreatmentCreated struct {
}

AddTreatmentCreated item created

swagger:response addTreatmentCreated

func NewAddTreatmentCreated

func NewAddTreatmentCreated() *AddTreatmentCreated

NewAddTreatmentCreated creates AddTreatmentCreated with default headers values

func (*AddTreatmentCreated) WriteResponse

func (o *AddTreatmentCreated) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type AddTreatmentHandler

type AddTreatmentHandler interface {
	Handle(AddTreatmentParams) middleware.Responder
}

AddTreatmentHandler interface for that can handle valid add treatment params

type AddTreatmentHandlerFunc

type AddTreatmentHandlerFunc func(AddTreatmentParams) middleware.Responder

AddTreatmentHandlerFunc turns a function with the right signature into a add treatment handler

func (AddTreatmentHandlerFunc) Handle

Handle executing the request and returning a response

type AddTreatmentParams

type AddTreatmentParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*Treatment
	  In: body
	*/
	Treatment *models.Treatment
}

AddTreatmentParams contains all the bound params for the add treatment operation typically these are obtained from a http.Request

swagger:parameters addTreatment

func NewAddTreatmentParams

func NewAddTreatmentParams() AddTreatmentParams

NewAddTreatmentParams creates a new AddTreatmentParams object with the default values initialized.

func (*AddTreatmentParams) BindRequest

func (o *AddTreatmentParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

type AddTreatmentURL

type AddTreatmentURL struct {
	// contains filtered or unexported fields
}

AddTreatmentURL generates an URL for the add treatment operation

func (*AddTreatmentURL) Build

func (o *AddTreatmentURL) Build() (*url.URL, error)

Build a url path and query string

func (*AddTreatmentURL) BuildFull

func (o *AddTreatmentURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*AddTreatmentURL) Must

func (o *AddTreatmentURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*AddTreatmentURL) SetBasePath

func (o *AddTreatmentURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*AddTreatmentURL) String

func (o *AddTreatmentURL) String() string

String returns the string representation of the path with query string

func (*AddTreatmentURL) StringFull

func (o *AddTreatmentURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*AddTreatmentURL) WithBasePath

func (o *AddTreatmentURL) WithBasePath(bp string) *AddTreatmentURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type AddTumourboard

type AddTumourboard struct {
	Context *middleware.Context
	Handler AddTumourboardHandler
}

AddTumourboard swagger:route POST /tumourboard addTumourboard

adds a tumourboard

Adds a tumourboard to the system

func NewAddTumourboard

func NewAddTumourboard(ctx *middleware.Context, handler AddTumourboardHandler) *AddTumourboard

NewAddTumourboard creates a new http.Handler for the add tumourboard operation

func (*AddTumourboard) ServeHTTP

func (o *AddTumourboard) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type AddTumourboardBadRequest

type AddTumourboardBadRequest struct {
}

AddTumourboardBadRequest invalid input, object invalid

swagger:response addTumourboardBadRequest

func NewAddTumourboardBadRequest

func NewAddTumourboardBadRequest() *AddTumourboardBadRequest

NewAddTumourboardBadRequest creates AddTumourboardBadRequest with default headers values

func (*AddTumourboardBadRequest) WriteResponse

func (o *AddTumourboardBadRequest) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type AddTumourboardConflict

type AddTumourboardConflict struct {
}

AddTumourboardConflict an existing item already exists

swagger:response addTumourboardConflict

func NewAddTumourboardConflict

func NewAddTumourboardConflict() *AddTumourboardConflict

NewAddTumourboardConflict creates AddTumourboardConflict with default headers values

func (*AddTumourboardConflict) WriteResponse

func (o *AddTumourboardConflict) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type AddTumourboardCreated

type AddTumourboardCreated struct {
}

AddTumourboardCreated item created

swagger:response addTumourboardCreated

func NewAddTumourboardCreated

func NewAddTumourboardCreated() *AddTumourboardCreated

NewAddTumourboardCreated creates AddTumourboardCreated with default headers values

func (*AddTumourboardCreated) WriteResponse

func (o *AddTumourboardCreated) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type AddTumourboardHandler

type AddTumourboardHandler interface {
	Handle(AddTumourboardParams) middleware.Responder
}

AddTumourboardHandler interface for that can handle valid add tumourboard params

type AddTumourboardHandlerFunc

type AddTumourboardHandlerFunc func(AddTumourboardParams) middleware.Responder

AddTumourboardHandlerFunc turns a function with the right signature into a add tumourboard handler

func (AddTumourboardHandlerFunc) Handle

Handle executing the request and returning a response

type AddTumourboardParams

type AddTumourboardParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*Tumourboard
	  In: body
	*/
	Tumourboard *models.Tumourboard
}

AddTumourboardParams contains all the bound params for the add tumourboard operation typically these are obtained from a http.Request

swagger:parameters addTumourboard

func NewAddTumourboardParams

func NewAddTumourboardParams() AddTumourboardParams

NewAddTumourboardParams creates a new AddTumourboardParams object with the default values initialized.

func (*AddTumourboardParams) BindRequest

func (o *AddTumourboardParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

type AddTumourboardURL

type AddTumourboardURL struct {
	// contains filtered or unexported fields
}

AddTumourboardURL generates an URL for the add tumourboard operation

func (*AddTumourboardURL) Build

func (o *AddTumourboardURL) Build() (*url.URL, error)

Build a url path and query string

func (*AddTumourboardURL) BuildFull

func (o *AddTumourboardURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*AddTumourboardURL) Must

func (o *AddTumourboardURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*AddTumourboardURL) SetBasePath

func (o *AddTumourboardURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*AddTumourboardURL) String

func (o *AddTumourboardURL) String() string

String returns the string representation of the path with query string

func (*AddTumourboardURL) StringFull

func (o *AddTumourboardURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*AddTumourboardURL) WithBasePath

func (o *AddTumourboardURL) WithBasePath(bp string) *AddTumourboardURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type CandigMetadataAPI

type CandigMetadataAPI struct {
	Middleware func(middleware.Builder) http.Handler

	// BasicAuthenticator generates a runtime.Authenticator from the supplied basic auth function.
	// It has a default implemention in the security package, however you can replace it for your particular usage.
	BasicAuthenticator func(security.UserPassAuthentication) runtime.Authenticator
	// APIKeyAuthenticator generates a runtime.Authenticator from the supplied token auth function.
	// It has a default implemention in the security package, however you can replace it for your particular usage.
	APIKeyAuthenticator func(string, string, security.TokenAuthentication) runtime.Authenticator
	// BearerAuthenticator generates a runtime.Authenticator from the supplied bearer token auth function.
	// It has a default implemention in the security package, however you can replace it for your particular usage.
	BearerAuthenticator func(string, security.ScopedTokenAuthentication) runtime.Authenticator

	// JSONConsumer registers a consumer for a "application/json" mime type
	JSONConsumer runtime.Consumer
	// MultipartformConsumer registers a consumer for a "multipart/form-data" mime type
	MultipartformConsumer runtime.Consumer

	// JSONProducer registers a producer for a "application/json" mime type
	JSONProducer runtime.Producer

	// PostUploadHandler sets the operation handler for the post upload operation
	PostUploadHandler PostUploadHandler
	// AddComplicationHandler sets the operation handler for the add complication operation
	AddComplicationHandler AddComplicationHandler
	// AddConsentHandler sets the operation handler for the add consent operation
	AddConsentHandler AddConsentHandler
	// AddDiagnosisHandler sets the operation handler for the add diagnosis operation
	AddDiagnosisHandler AddDiagnosisHandler
	// AddEnrollmentHandler sets the operation handler for the add enrollment operation
	AddEnrollmentHandler AddEnrollmentHandler
	// AddOutcomeHandler sets the operation handler for the add outcome operation
	AddOutcomeHandler AddOutcomeHandler
	// AddPatientHandler sets the operation handler for the add patient operation
	AddPatientHandler AddPatientHandler
	// AddSampleHandler sets the operation handler for the add sample operation
	AddSampleHandler AddSampleHandler
	// AddTreatmentHandler sets the operation handler for the add treatment operation
	AddTreatmentHandler AddTreatmentHandler
	// AddTumourboardHandler sets the operation handler for the add tumourboard operation
	AddTumourboardHandler AddTumourboardHandler
	// GetSamplesByQueryHandler sets the operation handler for the get samples by query operation
	GetSamplesByQueryHandler GetSamplesByQueryHandler
	// LogoutHandler sets the operation handler for the logout operation
	LogoutHandler LogoutHandler

	// ServeError is called when an error is received, there is a default handler
	// but you can set your own with this
	ServeError func(http.ResponseWriter, *http.Request, error)

	// ServerShutdown is called when the HTTP(S) server is shut down and done
	// handling all active connections and does not accept connections any more
	ServerShutdown func()

	// Custom command line argument groups with their descriptions
	CommandLineOptionsGroups []swag.CommandLineOptionsGroup

	// User defined logger function.
	Logger func(string, ...interface{})
	// contains filtered or unexported fields
}

CandigMetadataAPI Metadata API

func NewCandigMetadataAPI

func NewCandigMetadataAPI(spec *loads.Document) *CandigMetadataAPI

NewCandigMetadataAPI creates a new CandigMetadata instance

func (*CandigMetadataAPI) AuthenticatorsFor

func (o *CandigMetadataAPI) AuthenticatorsFor(schemes map[string]spec.SecurityScheme) map[string]runtime.Authenticator

AuthenticatorsFor gets the authenticators for the specified security schemes

func (*CandigMetadataAPI) Authorizer

func (o *CandigMetadataAPI) Authorizer() runtime.Authorizer

Authorizer returns the registered authorizer

func (*CandigMetadataAPI) ConsumersFor

func (o *CandigMetadataAPI) ConsumersFor(mediaTypes []string) map[string]runtime.Consumer

ConsumersFor gets the consumers for the specified media types

func (*CandigMetadataAPI) Context

func (o *CandigMetadataAPI) Context() *middleware.Context

Context returns the middleware context for the candig metadata API

func (*CandigMetadataAPI) DefaultConsumes

func (o *CandigMetadataAPI) DefaultConsumes() string

DefaultConsumes returns the default consumes media type

func (*CandigMetadataAPI) DefaultProduces

func (o *CandigMetadataAPI) DefaultProduces() string

DefaultProduces returns the default produces media type

func (*CandigMetadataAPI) Formats

func (o *CandigMetadataAPI) Formats() strfmt.Registry

Formats returns the registered string formats

func (*CandigMetadataAPI) HandlerFor

func (o *CandigMetadataAPI) HandlerFor(method, path string) (http.Handler, bool)

HandlerFor gets a http.Handler for the provided operation method and path

func (*CandigMetadataAPI) Init

func (o *CandigMetadataAPI) Init()

Init allows you to just initialize the handler cache, you can then recompose the middelware as you see fit

func (*CandigMetadataAPI) ProducersFor

func (o *CandigMetadataAPI) ProducersFor(mediaTypes []string) map[string]runtime.Producer

ProducersFor gets the producers for the specified media types

func (*CandigMetadataAPI) RegisterFormat

func (o *CandigMetadataAPI) RegisterFormat(name string, format strfmt.Format, validator strfmt.Validator)

RegisterFormat registers a custom format validator

func (*CandigMetadataAPI) Serve

func (o *CandigMetadataAPI) Serve(builder middleware.Builder) http.Handler

Serve creates a http handler to serve the API over HTTP can be used directly in http.ListenAndServe(":8000", api.Serve(nil))

func (*CandigMetadataAPI) ServeErrorFor

func (o *CandigMetadataAPI) ServeErrorFor(operationID string) func(http.ResponseWriter, *http.Request, error)

ServeErrorFor gets a error handler for a given operation id

func (*CandigMetadataAPI) SetDefaultConsumes

func (o *CandigMetadataAPI) SetDefaultConsumes(mediaType string)

SetDefaultConsumes returns the default consumes media type

func (*CandigMetadataAPI) SetDefaultProduces

func (o *CandigMetadataAPI) SetDefaultProduces(mediaType string)

SetDefaultProduces sets the default produces media type

func (*CandigMetadataAPI) SetSpec

func (o *CandigMetadataAPI) SetSpec(spec *loads.Document)

SetSpec sets a spec that will be served for the clients.

func (*CandigMetadataAPI) Validate

func (o *CandigMetadataAPI) Validate() error

Validate validates the registrations in the CandigMetadataAPI

type GetSamplesByQuery

type GetSamplesByQuery struct {
	Context *middleware.Context
	Handler GetSamplesByQueryHandler
}

GetSamplesByQuery swagger:route POST /query getSamplesByQuery

Query for Sample

func NewGetSamplesByQuery

func NewGetSamplesByQuery(ctx *middleware.Context, handler GetSamplesByQueryHandler) *GetSamplesByQuery

NewGetSamplesByQuery creates a new http.Handler for the get samples by query operation

func (*GetSamplesByQuery) ServeHTTP

func (o *GetSamplesByQuery) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetSamplesByQueryHandler

type GetSamplesByQueryHandler interface {
	Handle(GetSamplesByQueryParams) middleware.Responder
}

GetSamplesByQueryHandler interface for that can handle valid get samples by query params

type GetSamplesByQueryHandlerFunc

type GetSamplesByQueryHandlerFunc func(GetSamplesByQueryParams) middleware.Responder

GetSamplesByQueryHandlerFunc turns a function with the right signature into a get samples by query handler

func (GetSamplesByQueryHandlerFunc) Handle

Handle executing the request and returning a response

type GetSamplesByQueryNotFound

type GetSamplesByQueryNotFound struct {
}

GetSamplesByQueryNotFound Sample not found

swagger:response getSamplesByQueryNotFound

func NewGetSamplesByQueryNotFound

func NewGetSamplesByQueryNotFound() *GetSamplesByQueryNotFound

NewGetSamplesByQueryNotFound creates GetSamplesByQueryNotFound with default headers values

func (*GetSamplesByQueryNotFound) WriteResponse

func (o *GetSamplesByQueryNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetSamplesByQueryOK

type GetSamplesByQueryOK struct {

	/*
	  In: Body
	*/
	Payload models.GetSamplesByQueryOKBody `json:"body,omitempty"`
}

GetSamplesByQueryOK OK

swagger:response getSamplesByQueryOK

func NewGetSamplesByQueryOK

func NewGetSamplesByQueryOK() *GetSamplesByQueryOK

NewGetSamplesByQueryOK creates GetSamplesByQueryOK with default headers values

func (*GetSamplesByQueryOK) SetPayload

func (o *GetSamplesByQueryOK) SetPayload(payload models.GetSamplesByQueryOKBody)

SetPayload sets the payload to the get samples by query o k response

func (*GetSamplesByQueryOK) WithPayload

WithPayload adds the payload to the get samples by query o k response

func (*GetSamplesByQueryOK) WriteResponse

func (o *GetSamplesByQueryOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetSamplesByQueryParams

type GetSamplesByQueryParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*
	  In: body
	*/
	Query *models.Query
}

GetSamplesByQueryParams contains all the bound params for the get samples by query operation typically these are obtained from a http.Request

swagger:parameters getSamplesByQuery

func NewGetSamplesByQueryParams

func NewGetSamplesByQueryParams() GetSamplesByQueryParams

NewGetSamplesByQueryParams creates a new GetSamplesByQueryParams object with the default values initialized.

func (*GetSamplesByQueryParams) BindRequest

func (o *GetSamplesByQueryParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

type GetSamplesByQueryURL

type GetSamplesByQueryURL struct {
	// contains filtered or unexported fields
}

GetSamplesByQueryURL generates an URL for the get samples by query operation

func (*GetSamplesByQueryURL) Build

func (o *GetSamplesByQueryURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetSamplesByQueryURL) BuildFull

func (o *GetSamplesByQueryURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetSamplesByQueryURL) Must

func (o *GetSamplesByQueryURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetSamplesByQueryURL) SetBasePath

func (o *GetSamplesByQueryURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetSamplesByQueryURL) String

func (o *GetSamplesByQueryURL) String() string

String returns the string representation of the path with query string

func (*GetSamplesByQueryURL) StringFull

func (o *GetSamplesByQueryURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetSamplesByQueryURL) WithBasePath

func (o *GetSamplesByQueryURL) WithBasePath(bp string) *GetSamplesByQueryURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type Logout

type Logout struct {
	Context *middleware.Context
	Handler LogoutHandler
}

Logout swagger:route GET /logout logout

logsout

logs users out

func NewLogout

func NewLogout(ctx *middleware.Context, handler LogoutHandler) *Logout

NewLogout creates a new http.Handler for the logout operation

func (*Logout) ServeHTTP

func (o *Logout) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type LogoutHandler

type LogoutHandler interface {
	Handle(LogoutParams) middleware.Responder
}

LogoutHandler interface for that can handle valid logout params

type LogoutHandlerFunc

type LogoutHandlerFunc func(LogoutParams) middleware.Responder

LogoutHandlerFunc turns a function with the right signature into a logout handler

func (LogoutHandlerFunc) Handle

Handle executing the request and returning a response

type LogoutNotFound

type LogoutNotFound struct {
}

LogoutNotFound Sample not found

swagger:response logoutNotFound

func NewLogoutNotFound

func NewLogoutNotFound() *LogoutNotFound

NewLogoutNotFound creates LogoutNotFound with default headers values

func (*LogoutNotFound) WriteResponse

func (o *LogoutNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type LogoutOK

type LogoutOK struct {

	/*
	  In: Body
	*/
	Payload bool `json:"body,omitempty"`
}

LogoutOK OK

swagger:response logoutOK

func NewLogoutOK

func NewLogoutOK() *LogoutOK

NewLogoutOK creates LogoutOK with default headers values

func (*LogoutOK) SetPayload

func (o *LogoutOK) SetPayload(payload bool)

SetPayload sets the payload to the logout o k response

func (*LogoutOK) WithPayload

func (o *LogoutOK) WithPayload(payload bool) *LogoutOK

WithPayload adds the payload to the logout o k response

func (*LogoutOK) WriteResponse

func (o *LogoutOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type LogoutParams

type LogoutParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`
}

LogoutParams contains all the bound params for the logout operation typically these are obtained from a http.Request

swagger:parameters logout

func NewLogoutParams

func NewLogoutParams() LogoutParams

NewLogoutParams creates a new LogoutParams object with the default values initialized.

func (*LogoutParams) BindRequest

func (o *LogoutParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

type LogoutURL

type LogoutURL struct {
	// contains filtered or unexported fields
}

LogoutURL generates an URL for the logout operation

func (*LogoutURL) Build

func (o *LogoutURL) Build() (*url.URL, error)

Build a url path and query string

func (*LogoutURL) BuildFull

func (o *LogoutURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*LogoutURL) Must

func (o *LogoutURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*LogoutURL) SetBasePath

func (o *LogoutURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*LogoutURL) String

func (o *LogoutURL) String() string

String returns the string representation of the path with query string

func (*LogoutURL) StringFull

func (o *LogoutURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*LogoutURL) WithBasePath

func (o *LogoutURL) WithBasePath(bp string) *LogoutURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type PostUpload

type PostUpload struct {
	Context *middleware.Context
	Handler PostUploadHandler
}

PostUpload swagger:route POST /upload postUpload

Uploads a file.

func NewPostUpload

func NewPostUpload(ctx *middleware.Context, handler PostUploadHandler) *PostUpload

NewPostUpload creates a new http.Handler for the post upload operation

func (*PostUpload) ServeHTTP

func (o *PostUpload) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type PostUploadConflict

type PostUploadConflict struct {
}

PostUploadConflict an existing item already exists

swagger:response postUploadConflict

func NewPostUploadConflict

func NewPostUploadConflict() *PostUploadConflict

NewPostUploadConflict creates PostUploadConflict with default headers values

func (*PostUploadConflict) WriteResponse

func (o *PostUploadConflict) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type PostUploadHandler

type PostUploadHandler interface {
	Handle(PostUploadParams) middleware.Responder
}

PostUploadHandler interface for that can handle valid post upload params

type PostUploadHandlerFunc

type PostUploadHandlerFunc func(PostUploadParams) middleware.Responder

PostUploadHandlerFunc turns a function with the right signature into a post upload handler

func (PostUploadHandlerFunc) Handle

Handle executing the request and returning a response

type PostUploadNotFound

type PostUploadNotFound struct {
}

PostUploadNotFound File not found

swagger:response postUploadNotFound

func NewPostUploadNotFound

func NewPostUploadNotFound() *PostUploadNotFound

NewPostUploadNotFound creates PostUploadNotFound with default headers values

func (*PostUploadNotFound) WriteResponse

func (o *PostUploadNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type PostUploadOK

type PostUploadOK struct {

	/*
	  In: Body
	*/
	Payload bool `json:"body,omitempty"`
}

PostUploadOK OK

swagger:response postUploadOK

func NewPostUploadOK

func NewPostUploadOK() *PostUploadOK

NewPostUploadOK creates PostUploadOK with default headers values

func (*PostUploadOK) SetPayload

func (o *PostUploadOK) SetPayload(payload bool)

SetPayload sets the payload to the post upload o k response

func (*PostUploadOK) WithPayload

func (o *PostUploadOK) WithPayload(payload bool) *PostUploadOK

WithPayload adds the payload to the post upload o k response

func (*PostUploadOK) WriteResponse

func (o *PostUploadOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type PostUploadParams

type PostUploadParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*The file to upload.
	  In: formData
	*/
	Upfile *runtime.File
	//Filename is the name of the uploaded file
	Filename string
}

PostUploadParams contains all the bound params for the post upload operation typically these are obtained from a http.Request

swagger:parameters PostUpload

func NewPostUploadParams

func NewPostUploadParams() PostUploadParams

NewPostUploadParams creates a new PostUploadParams object with the default values initialized.

func (*PostUploadParams) BindRequest

func (o *PostUploadParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

type PostUploadURL

type PostUploadURL struct {
	// contains filtered or unexported fields
}

PostUploadURL generates an URL for the post upload operation

func (*PostUploadURL) Build

func (o *PostUploadURL) Build() (*url.URL, error)

Build a url path and query string

func (*PostUploadURL) BuildFull

func (o *PostUploadURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*PostUploadURL) Must

func (o *PostUploadURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*PostUploadURL) SetBasePath

func (o *PostUploadURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*PostUploadURL) String

func (o *PostUploadURL) String() string

String returns the string representation of the path with query string

func (*PostUploadURL) StringFull

func (o *PostUploadURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*PostUploadURL) WithBasePath

func (o *PostUploadURL) WithBasePath(bp string) *PostUploadURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

Jump to

Keyboard shortcuts

? : This menu
/ : Search site
f or F : Jump to
y or Y : Canonical URL
⌂ 换网址